/*
 *      TreeNat.h
 *
  *      Copyright (C) 2008 Universitat Politècnica de Catalunya
 *      @author Albert Bifet - Ricard Gavaldà (abifet,gavalda@lsi.upc.edu)
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef _treenat_h_
#define _treenat_h_

using namespace std;

#include<stdlib.h>
#include<iostream>
#include<list>
#include<vector>
#include<set>
#include<map>
#include<fstream>
#include <ctime>
#include "Adwin.h"
#include "DatasetReader.h"
#include "Tree.h"
#include "OrderedTree.h"
#include "UnorderedTree.h"
#include "TreeFactory.h"
#include "TreeMining.h"
#include "SupportFactory.h"
#include "ClosedTrees.h"
#include "AdaTreeNat_Mining.h"

#endif
