set output="SampleTest.txt"

:: -WeightSize
set wsi=-WeightSize
:: -WeightSupport
set wsu=-WeightSupport
:: -SynchronizedUpdate
set su=
:: -DisplayTime
set dt=-DisplayTime
:: -DisplayMemory
set dm=-DisplayMemory
:: -DisplayIntermediateResults
set dir=

echo Accuracy	Time	Average batch time	Average batch memory >> %output%

XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\DS1.train.asc" -BatchSize=5000 -SamplingFrequency=5000 -MinSup=0.009 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\DS2.train.asc" -BatchSize=5000 -SamplingFrequency=5000 -MinSup=0.012 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\DS3.train.asc" -BatchSize=5000 -SamplingFrequency=5000 -MinSup=0.008 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\DS4.train.asc" -BatchSize=5000 -SamplingFrequency=5000 -MinSup=0.004 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\CSLOG12.asc" -BatchSize=1000 -SamplingFrequency=1000 -MinSup=0.050 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\CSLOG23.asc" -BatchSize=1000 -SamplingFrequency=1000 -MinSup=0.035 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\CSLOG31.asc" -BatchSize=1000 -SamplingFrequency=1000 -MinSup=0.055 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\CSLOG123.asc" -BatchSize=1500 -SamplingFrequency=1500 -MinSup=0.030 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\noDrift.data" -BatchSize=10000 -SamplingFrequency=10000 -MinSup=0.010 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\gradualDrift.data" -BatchSize=1000 -SamplingFrequency=1000 -MinSup=0.010 -Window -WindowSize=1000 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\suddenDrift.data" -BatchSize=1000 -SamplingFrequency=1000 -MinSup=0.010 -Window -WindowSize=1000 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
XmlStreamClassifier.ConsoleApplication.exe -NoInfo -Dataset="Datasets\conceptEvolution.data" -BatchSize=10000 -SamplingFrequency=10000 -MinSup=0.010 %wsi% %wsu% %su% %dt% %dm% %dir% >> %output%
